%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	paging

Name:		freepbx-%{rawname}
Version:	16.0.13
Release:	1%{?dist}
Summary:	Paging and Intercom

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-core >= 16.0.56.5
Requires:	freepbx >= 16.0.10.23
Requires:	freepbx-conferences

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Allows creation of paging groups to make announcements using the speaker built into most SIP phones. Also creates an
        Intercom feature code that can be used as a prefix to talk directly to one person, as well as optional feature codes
        to block/allow intercom calls to all users as well as blocking specific users or only allowing specific users.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in bin sbin etc astetc images moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/agi-bin
%{__install} -m0755 agi-bin/* %{buildroot}%{_datadir}/asterisk/agi-bin

%{__install} -d %{buildroot}%{_datadir}/asterisk/sounds
%{__cp} -aR sounds/* %{buildroot}%{_datadir}/asterisk/sounds

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/agi-bin/*
%attr(0644,%{sown},%{sgrp}) %{_datadir}/asterisk/sounds/en/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Thu Jun 08 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Tue Apr 18 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.12
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.11
- Updated version

* Wed Feb 23 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.9
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.8
- Initial build
